/*
 *  This file is part of uIRC. (https://git.redxen.eu/caskd/uIRC)
 *  Copyright (c) 2019, 2020 Alex-David Denes
 *
 *  uIRC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  uIRC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with uIRC.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef UIRC_GUARD_ERRORS
#define UIRC_GUARD_ERRORS

enum uirc_errors {
	ERR_UIRC_GENERIC        = -1,
	ERR_UIRC_INVALID_FORMAT = -2,
	ERR_UIRC_BUFFER_ERR     = -3,
	ERR_UIRC_UNKNOWN_TOKEN  = -4,
	ERR_UIRC_VAL_FAILED     = -5,
};

#endif /* UIRC_GUARD_ERRORS */

