/*
 *  This file is part of uIRC. (https://git.redxen.eu/caskd/uIRC)
 *  Copyright (c) 2019, 2020 Alex-David Denes
 *
 *  uIRC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  uIRC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with uIRC.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "types.h"

#include <sys/types.h>

#ifndef UIRC_GUARD_VALIDATORS
#define UIRC_GUARD_VALIDATORS

size_t       Val_type_nocrlf(const char* str);
size_t       Val_type_nospcl(const char* str);
size_t       Val_type_noblcm(const char* str);
size_t       Val_channame(char* chan);
signed short Val_mesg(IRC_Message* mesg);

#endif /* UIRC_GUARD_VALIDATORS */

